DragonFly BSD
DragonFly bugs List (threaded) for 2010-11
[Date Prev][Date Next]  [Thread Prev][Thread Next]  [Date Index][Thread Index]

Re: warning: nested extern declaration of 'lwkt_replymsg'

From: Stephane Russell <srussell@xxxxxxxxxxxxxxx>
Date: Sat, 27 Nov 2010 16:51:21 -0500

I couldn't make my ipfw work again, it was causing a page faults
somewhere. So I've applied what you suggested with success. Thank you
very much!


Le 2010-11-20 17:18, Justin C. Sherrill a écrit :
> On Sat, November 20, 2010 2:42 pm, Stephane Russell wrote:
>> Hi,
>> Im upgrading DFBSD from 2.4 to 2.8. I compiled with success the GENERIC
>> kernel. But when I take this configuration and add the firewall and
>> IPDIVERT changes, I'm getting this:
> Are you using both ipfw and pf?  Most of those options are for ipfw (I
> think).  I had trouble with ipfw not working when I upgraded to 2.6 (I
> haven't moved that box to 2.8 yet), though I think it wasn't during
> compilation but when running it later.
> This is not a direct solution to your problem, but my fix was to comment
> out all the IPFIREWALL and IPDIVERT stuff and put this in /etc/rc.conf:
> gateway_enable="YES"
> pf_enable="YES"
> pflog_enable="YES"
> And this in /etc/pf.conf
> extif="em0"
> intif="nfe0"
> nat on $extif from to any -> ($extif)
> I'm just using this box for NAT.  If you're doing the same, this should
> work for you as a replacement strategy.

[Date Prev][Date Next]  [Thread Prev][Thread Next]  [Date Index][Thread Index]